Page MenuHomePhabricator

Replace tracking task T119681 by creating #MediaWiki-Commenting
Closed, ResolvedPublic

Description

See discussions T119681#3385538 and below.

Event Timeline

@Liuxinyu970226: Why would you be interested specifically in following tasks only related to the summaries of edits? Please provide a use case for this tag.

Furthermore, it seems like this would not only be about MediaWiki core, so the proposed name is misleading.

Well, if you combine it with log entry comments, it's kind of an own software component, with an own database table and some migration stuff. We don't have a real project for tasks like T166733 and T189234 right now, and a project like this would fill the gap.

I propose #MediaWiki-Commenting as project name.

👍 to #MediaWiki-Commenting. There are many tools that will need updating, and MediaWiki core issues may arise, so I do see this tag coming in handy.

Liuxinyu970226 added a comment.EditedOct 30 2018, 1:25 PM

@Aklapper The reason is very simple: To reduce the unfair MediaWiki-General usages which some of their tasks are already having function targets (and if one day even possible, abandon that).

Liuxinyu970226 renamed this task from Replace tracking task T119681 by creating #MediaWiki-Edit-Summary to Replace tracking task T119681 by creating #MediaWiki-Commenting.Oct 30 2018, 1:28 PM

I second to what @MGChecker suggested

Makes sense, thanks everyone. So the project description would be "For issues related to edit summaries.", or is there a better suited one?

For issues related for action comments, for example edit summaries and comments of log entries.

Is there anything blocking this or can anyone with batch edit permissions just proceed?

As I have batch edit permissions, I would like to take this task on following the procedure defined at Project management/Tracking tasks. Note that it is possible to construct a query of subtasks directly, so

  • Select all the blocking tasks of the tracking task and copy
  • Paste in a text editor
  • Save as CSV
  • Open the file in a spreadsheet application, using "space" as separator
  • Copy the first column with the reference numbers
  • Make sure task IDs in that list are separated by commas
  • Construct a Search URL with that list of task IDs, like https://phabricator.wikimedia.org/maniphest/?ids=1,2,3,4,5,6#R

is completely unnecessary.

MGChecker claimed this task.Nov 7 2018, 2:07 AM
Zoranzoki21 closed this task as Resolved.Nov 12 2018, 7:23 PM
Zoranzoki21 added a subscriber: Zoranzoki21.

Project is created, closing as resolved.

MGChecker reopened this task as Open.Nov 12 2018, 8:01 PM

Well. migrating tracking tasks is a bit more work than just creating the project. I believe I have migrated most projects that are concerned, however there is one remaining question: Should #mediawiki-history-or-diffs and MediaWiki-Page-editing be removed from any / most tasks using MediaWiki-Comment-backend now?

@MGChecker: There are 17 such open tasks.
I wonder if https://phabricator.wikimedia.org/tag/mediawiki-page-editing/ should explicitly state that it's not about editing summaries (anymore)?

I think this task is done, thanks to @MGChecker's work?

MGChecker closed this task as Resolved.Dec 16 2018, 3:09 AM

@Krinkle I don't think it is supposed that change project scopes are changed without consultig with Project-Admins first, especially as the scope of this project has been the result of a discussion here.

@MGChecker Apologies for the confusion, I wasn't aware of this discussion. I'll share my reasoning and assumptions below.

There are different kinds of Phabricator projects., e.g. teams (purple), software components (blue), and generic tracking tags (yellow). The teams and software components should be defined based on the needs of the people who are in those teams or as defined by people who know the boundaries of the software. The generic tags on the other hand are "additive", that is, they can be used in addition to team/software tags and could have a very broad scope if users find that useful.

The project "MediaWiki-Commenting" was created as a software component, not a generic tag. When I saw a task tagged with it, I noticed that most other open tasks also tagged with this were related to the development of the new "comment" database table, and the increased limit of comment storage to be more than 250 bytes. As such, I assumed this project was created to accomodate the fact that we had no project in Phabricator for the comment storage part of the MediaWiki software. Most of these tasks would previously need to be in "MediaWiki-General-and-Unknown", or on workboards only tangentially related to the individual task.

I was happy that somebody noticed that, and created a project for it! I added the alias "MediaWiki-Comment-backend" for consistency with other Phabricator components we have and to better capture this scope.

Then, I noticed a small number of tasks under this new software project were changed by you in a way that removed projects from tasks, projects that actually were more accurate in terms scope. I assumed this was a mistake due to a batch operation where it perhaps included too much or something like that.

Looking back now, it seems the way you intended this tag makes it incompatible with how the MediaWiki software actually works. The following were all in scope according to you (I think):

  • tasks about the edit process (what input fields to show on the edit page),
  • tasks about rendering of the action comments on Special:Log,
  • tasks about the link parser used for edit summaries in diffs, history pages, watchlist, and log,
  • tasks about the parser and how it extracts which section the user edited.

These are not all part of the same software feature and cannot be captured under only a single Phabricator project. Doing so would make it very difficult for developers of the software and for product managers as their tasks would no longer correlate to the projects they work on. For example, several tasks had the tag "MediaWiki-Page-editing" removed in favour of "MediaWiki-Commenting".

If there are users interested in grouping all of these tasks together for their own interest (separate from how software contributors organise the tasks), then I recommend making this as a yellow "generic" tag instead, and only using it in addition to other tags on a task, and to not remove the existing project associations from any task.

A few ideas for what we could do next:

  • Create a project for the features relating to the edit summary input field of the editing experience, this would be a subset of tasks currently under "MediaWiki-Page-editing". I think creating a project for just that small scope is probably too much, as it would split the organisational work between two workboards instead of one. If you propose that, I think we should let the Editing-team also decide if that would cause more work for them. If so, perhaps we could start with a workboard column instead.
  • Create a tracking tag for anything relating to MediaWiki comments in some way. This could be created without much discussion as it would only be used additively. We have many generic tags like this.
Nirmos added a subscriber: Nirmos.Feb 10 2019, 2:53 AM

This line of thought sounds quite reasonable. I doubt creating an additional tag for these few tasks is warranted, if no additional users request one.